Eventum Logo

Eventum

GeneratorsIdStats

Get Generator Stats

Get stats of running generator

GET
/generators/{id}/stats

Path Parameters

id*string

Generator id

Length1 <= length

Response Body

application/json

application/json

curl -X GET "https://eventum.example.com/api/generators/string/stats"
{
  "id": "string",
  "start_time": "2019-08-24T14:15:22Z",
  "input": [
    {
      "plugin_name": "string",
      "plugin_id": 0,
      "generated": 0
    }
  ],
  "event": {
    "plugin_name": "string",
    "plugin_id": 0,
    "produced": 0,
    "produce_failed": 0
  },
  "output": [
    {
      "plugin_name": "string",
      "plugin_id": 0,
      "written": 0,
      "write_failed": 0,
      "format_failed": 0
    }
  ],
  "total_generated": 0,
  "total_written": 0,
  "uptime": 0,
  "input_eps": 0,
  "output_eps": 0
}
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}